part of marketplaceapi.api;

class Store {
  
  int id = null;
  

  String title = null;
  

  String description = null;
  

  String type = null;
  

  String imageUrl = null;
  

  String location = null;
  

  String franchiseName = null;
  
  Store();

  @override
  String toString() {
    return 'Store[id=$id, title=$title, description=$description, type=$type, imageUrl=$imageUrl, location=$location, franchiseName=$franchiseName, ]';
  }

  Store.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id =
        json['id']
    ;
    title =
        json['title']
    ;
    description =
        json['description']
    ;
    type =
        json['type']
    ;
    imageUrl =
        json['imageUrl']
    ;
    location =
        json['location']
    ;
    franchiseName =
        json['franchiseName']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'title': title,
      'description': description,
      'type': type,
      'imageUrl': imageUrl,
      'location': location,
      'franchiseName': franchiseName
     };
  }

  static List<Store> listFromJson(List<dynamic> json) {
    return json == null ? new List<Store>() : json.map((value) => new Store.fromJson(value)).toList();
  }

  static Map<String, Store> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, Store>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new Store.fromJson(value));
    }
    return map;
  }
}

