part of marketplaceapi.api;

class Customer {
  
  int id = null;
  

  String name = null;
  

  String surname = null;
  

  String address = null;
  

  String email = null;
  

  String phone = null;
  
  Customer();

  @override
  String toString() {
    return 'Customer[id=$id, name=$name, surname=$surname, address=$address, email=$email, phone=$phone, ]';
  }

  Customer.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id =
        json['id']
    ;
    name =
        json['name']
    ;
    surname =
        json['surname']
    ;
    address =
        json['address']
    ;
    email =
        json['email']
    ;
    phone =
        json['phone']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'name': name,
      'surname': surname,
      'address': address,
      'email': email,
      'phone': phone
     };
  }

  static List<Customer> listFromJson(List<dynamic> json) {
    return json == null ? new List<Customer>() : json.map((value) => new Customer.fromJson(value)).toList();
  }

  static Map<String, Customer> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, Customer>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new Customer.fromJson(value));
    }
    return map;
  }
}

